import React, { useEffect } from 'react';
import { FlatList } from 'react-native';
import { useObserver } from 'mobx-react-lite';
function SQLiteMobxFlatList(props) {
    const { model, select, where, join, autofetch = true, ...rest } = props;
    if (autofetch) {
        useEffect(() => {
            model.loadItems({ select, join, where });
            return () => model.clear();
        }, [select, join, where]);
    }
    return useObserver(() => <FlatList {...rest} data={model.data}/>);
}
export default SQLiteMobxFlatList;
//# sourceMappingURL=SQLiteMobxFlatList.js.map