import 'react-native';
import React from 'react';
import renderer from 'react-test-renderer';
import SQLiteMobxFlatList from '../src/SQLiteMobxFlatList';
import SQLiteMobxModel from '../src/SQLiteMobxModel';
class ModelTest extends SQLiteMobxModel {
    constructor() {
        super(...arguments);
        this.data = [];
        this.table = 'test';
    }
}
describe('test SQLiteMobxFlatList', () => {
    const modelTest = new ModelTest();
    test('renders correctly', () => {
        const tree = renderer.create(<SQLiteMobxFlatList model={modelTest} renderItem={() => null}/>);
        expect(tree).toMatchSnapshot();
        tree.unmount();
    });
    test('loadItems called on start', () => {
        expect(modelTest.loadItems).toBeCalledTimes(1);
    });
    test('clear called on finish', () => {
        expect(modelTest.clear).toBeCalledTimes(1);
    });
});
//# sourceMappingURL=SQLiteMobxFlatList.test.js.map