import { SQLiteItem } from './SQLite';
declare type QueryParams = {
    select?: string;
    join?: string;
    where?: string;
};
export default abstract class SQLiteMobxModel<T extends object> {
    lastParams?: QueryParams;
    abstract table: string;
    abstract data: (T & SQLiteItem)[];
    loadItems(params?: QueryParams): Promise<void>;
    setItems(items: T[]): Promise<void>;
    addItems(items: T[]): Promise<void>;
    addItem(item: T): Promise<import("./SQLiteResultSet").default>;
    setItem(item: T & SQLiteItem): Promise<import("./SQLiteResultSet").default>;
    getItem(id: number): Promise<void>;
    editItem(item: T): Promise<void>;
    removeItem(item: T & SQLiteItem): Promise<import("./SQLiteResultSet").default>;
    clear(): void;
    truncate(): Promise<import("./SQLiteResultSet").default>;
}
export {};
//# sourceMappingURL=SQLiteMobxModel.d.ts.map