import SQLiteResultSet from './SQLiteResultSet';
declare type SQLiteMobxActioner = (table: SQLiteMobxTable) => void;
interface SQLParseable {
    toSQL(): string;
}
declare class SQLiteMobxColumn implements SQLParseable {
    private _name?;
    private _type?;
    private _size?;
    private _nullable?;
    private _autoIncrement?;
    private _default?;
    constructor(name: string, type: string, size: number);
    autoIncrement(value?: boolean): this;
    nullable(value?: boolean): this;
    default(value?: string | number | boolean): this;
    toSQL(): string;
}
declare class SQLiteMobxTable implements SQLParseable {
    private _name;
    private _columns;
    private _ifNotExists?;
    constructor(name: string);
    primary(param?: string): SQLiteMobxColumn;
    string(param: string, size?: number): SQLiteMobxColumn;
    integer(param: string, size?: number): SQLiteMobxColumn;
    boolean(param: string, size?: number): SQLiteMobxColumn;
    double(param: string): SQLiteMobxColumn;
    date(param: string): SQLiteMobxColumn;
    ifNotExists(value?: boolean): void;
    toSQL(): string;
}
declare class SQLiteMobxSchema {
    static create(name: string, actioner: SQLiteMobxActioner): Promise<SQLiteResultSet>;
    static drop(name: string): Promise<SQLiteResultSet>;
    static dropIfExists(name: string): Promise<SQLiteResultSet>;
    static hasTable(name: string): Promise<void>;
    static hasColumn(...columns: string[]): Promise<void>;
}
export { SQLiteMobxActioner, SQLiteMobxTable, SQLiteMobxColumn };
export default SQLiteMobxSchema;
//# sourceMappingURL=SQLiteMobxSchema.d.ts.map